Delete
curl --request DELETE \
--url https://api.ngrok.com/event_subscriptions/{subscription_id}/sources/{type} \
--header 'Authorization: Bearer <token>' \
--header 'ngrok-version: <ngrok-version>'import requests
url = "https://api.ngrok.com/event_subscriptions/{subscription_id}/sources/{type}"
headers = {
"ngrok-version": "<ngrok-version>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'ngrok-version': '<ngrok-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.ngrok.com/event_subscriptions/{subscription_id}/sources/{type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Event Sources
Delete
Remove a specific event source from an event subscription by its type.
DELETE
/
event_subscriptions
/
{subscription_id}
/
sources
/
{type}
Delete
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
The unique identifier for the Event Subscription that this Event Source is attached to.
Type of event for which an event subscription will trigger
Response
204
Remove a type for which this event subscription will trigger
Was this page helpful?
⌘I